Payout wallets

Get Morpho Position

Reads a wallet Morpho vault position (single vault or all) when the org has Morpho enabled.

GEThttps://api.toku.com/hris/get-morpho-position

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/hris/get-morpho-position?walletAddress=%3CwalletAddress%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "vaultAddress": "string",
  "vaultName": "string",
  "chainId": 0,
  "assetSymbol": "string",
  "assetDecimals": 0,
  "shares": "string",
  "assetsValue": "string",
  "assetsValueNumber": 0,
  "apy": 0
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

walletAddressstringrequired

Allowed: matches ^0x[a-fA-F0-9]{40}$

vaultAddressstring

Allowed: matches ^0x[a-fA-F0-9]{40}$

chainIdinteger

Response

200Successful response
vaultAddressstringrequired
vaultNamestringrequired
chainIdintegerrequired
assetSymbolstringrequired
assetDecimalsintegerrequired
sharesstringrequired
assetsValuestringrequired
assetsValueNumbernumberrequired
apynumber | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits